// Injection Wizard
// --An application for injecting traffic in WEP protected Wi-Fi networks--
// Version: 1.0
// Copyright (C) 2010 Fernando Pablo Romero Navarro <fernpromero@gmail.com>
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package cliente;


public class Msg {

    
    public final static byte HELLO=0x1A;
    public final static byte GETBSS=0x1B;
    public final static byte GET=0x10;
    public final static byte SET=0x11;
    public final static byte SCAN=0x12;
    public final static byte JOIN=0x13;
    public final static byte CAPTURE=0x14;
    public final static byte EXTEND=0x15;
    public final static byte FIND=0x16;
    public final static byte INJECT=0x17;
    
    public final static byte CANCEL=0x0D;
    public final static byte DISCONNECT=0x0E;
    public final static byte EXIT=0x0F;
    public final static byte ANSWER=0x1F;

    
    public final static byte ITEM_SEP=(byte)0x3B;
    public final static byte VALUE_SEP=(byte)0x3D;

    
    public final static String IFACES="ifaces";
    public final static String CONFIG="config";    

    
    public final static String WIFACE="wiface";
    public final static String MONHDR="monhdr";
    public final static String FCS="fcs";
    public final static String SUBNET="subnet";
    public final static String SEARCH="search";
    public final static String MINRET="minret";
    public final static String MINTMO="mintime";
    public final static String STAGE="stage";

    
    public final static byte AUTO=0x0F;

    
    public final static byte STAGE_NEXT=0x01;
    public final static byte STAGE_INIT=0x00;

    
    public final static byte RESP=0x40;
    public final static byte INFO=0x50;
    public final static byte ASK=0x60;

    
    public final static byte OK=0x00;
    public final static byte DOING=0x08;
    public final static byte NONE=0x01;
    public final static byte BUSY=0x02;
    public final static byte SERVER_ERROR=0x05;
    public final static byte NOT_APPLICABLE=0x06;


    
    public final static byte NOT_SPECIFIED=0x00;
    public final static byte ENUM_IFACES=0x01;
    public final static byte IFACE_NOT_ENABLED=0x02;
    public final static byte MON_IFACE_NOT_CREATED=0x03;
    public final static byte MON_IFACE_NOT_ENABLED=0x04;
    public final static byte MON_IFACE_NOT_SET=0x05;
    public final static byte MON_IFACE_CHAN_NOT_SET=0x06;

    
    public final static byte JOINBSS=(byte)0xF0;
    public final static byte CAPFRAME=(byte)0xF1;
    public final static byte EXTENDKS=(byte)0xF2;
    public final static byte FINDHOST=(byte)0xF3;
    public final static byte INJECTARP=(byte)0xF4;

    
    public final static byte DONE=0x00;
    public final static byte CANCELLED=0x01;
    public final static byte NO_RESPONSE=0x02;

    
    public final static byte TRY_JOIN=0x01;

    
    public final static byte YES=0x79;
    public final static byte NO=0x6e;
    

    
    public final static byte AUTH_ERROR=0x10;
    public final static byte ASSO_ERROR=0x11;
    public final static byte ESSID_FOUND=0x12;

    
    public final static byte USE_FRAME=0x10;

    
    public final static byte BYTE_FOUND=0x10;

    
    public final static byte NOTFOUND=0x10;

    
    public final static byte HOSTFOUND=0x11;

    
    public final static byte FRAMES=0x10;
    
}
